=== src/bin/CMakeLists.txt ===
add_subdirectory(dump)
add_subdirectory(keyconv)
add_subdirectory(migrate)
add_subdirectory(util)
