=== debian/changelog ===
softhsm2 (2.6.1-2) unstable; urgency=medium

  * Explicitly enable ECC and EDDSA curves (Closes: #942419)
  * Fix Use after free on ENGINE_finish(rdrand_engine) (Closes: #960663)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 15 May 2020 11:41:43 +0200

softhsm2 (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1
  * Bump dh compat to 10, bump standards to 4.5.0.2 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 May 2020 12:40:12 +0200
